0
ngspice not running in eSim

Sir, In my installation on Linux Mint 18.1 (Ubuntu16.04) I can not start the simulation. I get the following error in the terminal: Argument to ngspice command : /home/richard/eSim-Workspace/RC/RC.cir.out Traceback (most recent call last): File "Application.py", line 250, in open_ngspice self.obj_Mainview.obj_dockarea.ngspiceEditor(self.projDir) File "/home/richard/eSim-1.1.2/src/frontEnd/DockArea.py", line 166, in ngspiceEditor self.obj_appconfig.dock_dict[self.obj_appconfig.current_project['ProjectName']].append(dock['NgSpice-'+str(count)]) KeyError: '/home/richard/eSim-Workspace/RC' Thanks in advance


eSim 22-03-17, 10:37 p.m. RG190564

Answers:

0

Hi, Please specify whether you got this error in Ubuntu 16.04 or Linux Mint 18.1.

23-03-17, 11:30 a.m. athulgeorge


0

Thank you for the response. I got the error in Linux Mint 18.1 Serena, with desktop Cinnamon. Detailed info about the kernel: Linux version 4.4.0-66-generic (buildd@lgw01-28) (gcc version 5.4.0 20160609 (Ubuntu 5.4.0-6ubuntu1~16.04.4) ) #87-Ubuntu SMP Fri Mar 3 15:29:05 UTC 2017

I tried to start ngspice from the terminal and this is working but I can't start it from eSim with the simulation button.

If you need more info don't hesitate to ask me. Thanks in advance

23-03-17, 12:57 p.m. RG190564

Are you using a VirtualBox?


10-04-17, 1:40 p.m. athulgeorge

Login to add comment


0

I'm not using a VitualBox.

10-04-17, 5:03 p.m. RG190564


0

Please use a VirtualBox for proper functioning of eSim.

12-04-17, 1:12 p.m. athulgeorge

Thank you for the answer. My host system is Linux Mint 18.1 and I like to run all on this system. If it is not possible, which client system should be used for the VitualBox?


12-04-17, 6:18 p.m. RG190564

I'm sorry the current version of eSim won't run in Linux Mint. You will have to use either Ubuntu or install a VirtualBox.


22-10-17, 6:22 p.m. athulgeorge

Login to add comment


Log-in to answer to this question.